--- old/exception_lists/closed-bins	Sun May 28 15:47:07 2017
+++ new/exception_lists/closed-bins	Sun May 28 15:47:07 2017
@@ -40,6 +40,7 @@
 ./usr/has
 ./usr/has/bin
 ./usr/has/bin/patch
+./usr/include/sys/agp
 ./usr/include/sys/lvm
 ./usr/include/sys/pcmcia
 ./usr/include/sys/usb/clients/hwarc
--- old/usr/src/cmd/devfsadm/i386/Makefile	Sun May 28 15:47:08 2017
+++ new/usr/src/cmd/devfsadm/i386/Makefile	Sun May 28 15:47:08 2017
@@ -23,7 +23,6 @@
 #
 
 LINK_OBJS_i386 = \
-	drm_link_i386.o \
 	misc_link_i386.o \
 	xen_link.o
 
--- old/usr/src/man/man7d/Makefile	Sun May 28 15:47:08 2017
+++ new/usr/src/man/man7d/Makefile	Sun May 28 15:47:08 2017
@@ -210,7 +210,6 @@
 		ecpp.7d		\
 		elxl.7d		\
 		i40e.7d		\
-		i915.7d		\
 		ipmi.7d		\
 		iprb.7d		\
 		ipw.7d		\
@@ -223,7 +222,6 @@
 		nv_sata.7d	\
 		nvme.7d		\
 		pcn.7d		\
-		radeon.7d	\
 		ral.7d		\
 		rtw.7d		\
 		rum.7d		\
--- old/usr/src/man/man7i/Makefile	Sun May 28 15:47:08 2017
+++ new/usr/src/man/man7i/Makefile	Sun May 28 15:47:08 2017
@@ -41,7 +41,7 @@
 		visual_io.7i	\
 		vt.7i
 
-i386_MANFILES=	agpgart_io.7i
+i386_MANFILES=
 
 MANFILES=	$(_MANFILES) $($(MACH)_MANFILES)
 
--- old/usr/src/uts/common/Makefile.files	Sun May 28 15:47:09 2017
+++ new/usr/src/uts/common/Makefile.files	Sun May 28 15:47:09 2017
@@ -1095,12 +1095,6 @@
 
 BL_OBJS += bl.o
 
-DRM_OBJS += drm_sunmod.o drm_kstat.o drm_agpsupport.o \
-	    drm_auth.o drm_bufs.o drm_context.o drm_dma.o \
-	    drm_drawable.o drm_drv.o drm_fops.o drm_ioctl.o drm_irq.o \
-	    drm_lock.o drm_memory.o drm_msg.o drm_pci.o drm_scatter.o \
-	    drm_cache.o drm_gem.o drm_mm.o ati_pcigart.o
-
 FM_OBJS += devfm.o devfm_machdep.o
 
 RTLS_OBJS +=	rtls.o
--- old/usr/src/uts/common/Makefile.rules	Sun May 28 15:47:09 2017
+++ new/usr/src/uts/common/Makefile.rules	Sun May 28 15:47:09 2017
@@ -773,10 +773,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/drm/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/io/efe/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -2164,9 +2160,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/dmfe/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/drm/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/io/efe/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
--- old/usr/src/uts/common/sys/Makefile	Sun May 28 15:47:12 2017
+++ new/usr/src/uts/common/sys/Makefile	Sun May 28 15:47:12 2017
@@ -41,12 +41,6 @@
 #
 
 i386_HDRS=			\
-	agp/agpamd64gart_io.h	\
-	agp/agpdefs.h		\
-	agp/agpgart_impl.h	\
-	agp/agpmaster_io.h	\
-	agp/agptarget_io.h	\
-	agpgart.h		\
 	asy.h			\
 	fd_debug.h		\
 	fdc.h			\
--- old/usr/src/uts/common/sys/Makefile.syshdrs	Sun May 28 15:47:12 2017
+++ new/usr/src/uts/common/sys/Makefile.syshdrs	Sun May 28 15:47:12 2017
@@ -174,8 +174,9 @@
 sparc_ROOTDIRS=	$(ROOTDKTPDIR) $(ROOTDIR)/scsi/adapters \
 		$(ROOTDIR)/scsi/targets
 
-i386_ROOTDIRS=	$(ROOTDKTPDIR) $(ROOTDIR)/scsi/adapters $(ROOTDIR)/scsi/targets \
-		$(ROOTDIR)/agp $(ROOTDIR)/sata
+i386_ROOTDIRS=	$(ROOTDKTPDIR) $(ROOTDIR)/scsi/adapters \
+		$(ROOTDIR)/scsi/targets \
+		$(ROOTDIR)/sata
 
 ROOTDIRS=			\
 	$(ROOTDIR)		\
--- old/usr/src/uts/intel/Makefile.files	Sun May 28 15:47:13 2017
+++ new/usr/src/uts/intel/Makefile.files	Sun May 28 15:47:13 2017
@@ -121,9 +121,6 @@
 #
 #	Driver modules
 #
-AGPGART_OBJS +=	agpgart.o agp_kstat.o
-AGPTARGET_OBJS += agptarget.o
-AMD64GART_OBJS += amd64_gart.o
 ARCMSR_OBJS += arcmsr.o
 ATA_OBJS += $(GHD_OBJS) ata_blacklist.o ata_common.o ata_disk.o \
 	ata_dma.o atapi.o atapi_fsm.o ata_debug.o \
@@ -226,7 +223,6 @@
 		   osl_ml.o osl.o
 
 
-AGP_OBJS += agpmaster.o
 FBT_OBJS += fbt.o
 SDT_OBJS += sdt.o
 
--- old/usr/src/uts/intel/Makefile.intel	Sun May 28 15:47:14 2017
+++ new/usr/src/uts/intel/Makefile.intel	Sun May 28 15:47:14 2017
@@ -186,11 +186,8 @@
 DRV_KMODS	+= aac
 DRV_KMODS	+= aggr
 DRV_KMODS	+= ahci
-DRV_KMODS	+= amd64_gart
 DRV_KMODS	+= amr
-DRV_KMODS	+= agpgart
 DRV_KMODS	+= srn
-DRV_KMODS	+= agptarget
 DRV_KMODS       += arn
 DRV_KMODS	+= arp
 DRV_KMODS	+= asy
@@ -250,7 +247,6 @@
 DRV_KMODS	+= fssnap
 DRV_KMODS	+= hxge
 DRV_KMODS	+= i8042
-DRV_KMODS	+= i915
 DRV_KMODS	+= icmp
 DRV_KMODS	+= icmp6
 DRV_KMODS	+= intel_nb5000
@@ -310,7 +306,6 @@
 DRV_KMODS	+= pts
 DRV_KMODS	+= ptsl
 DRV_KMODS	+= qlge
-DRV_KMODS	+= radeon
 DRV_KMODS	+= ral
 DRV_KMODS	+= ramdisk
 DRV_KMODS	+= random
@@ -583,7 +578,6 @@
 #
 MISC_KMODS	+= ac97
 MISC_KMODS	+= acpica
-MISC_KMODS	+= agpmaster
 MISC_KMODS	+= bignum
 MISC_KMODS	+= bootdev
 MISC_KMODS	+= busra
@@ -593,7 +587,6 @@
 MISC_KMODS	+= dadk
 MISC_KMODS	+= dcopy
 MISC_KMODS	+= dls
-MISC_KMODS	+= drm
 MISC_KMODS	+= fssnap_if
 MISC_KMODS	+= gda
 MISC_KMODS	+= gld
--- old/usr/src/uts/intel/Makefile.rules	Sun May 28 15:47:14 2017
+++ new/usr/src/uts/intel/Makefile.rules	Sun May 28 15:47:14 2017
@@ -146,14 +146,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/intel/io/agpgart/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/intel/io/agpmaster/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/intel/io/amd8111s/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -162,10 +154,6 @@
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/intel/io/drm/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/intel/io/hotplug/pcicfg/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -393,12 +381,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/intel/io/acpica/disassembler/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/intel/io/agpgart/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/intel/io/agpmaster/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/intel/io/amd8111s/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
@@ -408,9 +390,6 @@
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/intel/io/scsi/adapters/arcmsr/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/intel/io/drm/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/intel/io/hotplug/pcicfg/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
